<?php
//***********************************************************/
//*			            RUNCMS                              */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/

error_reporting(2039);
set_magic_quotes_runtime(0);
init_wiz();

include_once("../include/version.php");
include_once("../include/functions.php");
include_once("../modules/system/cache/config.php");

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function init_wiz() {
global $_COOKIE, $_POST, $_GET, $_SERVER, $_ENV;

$globals_test = @ini_get('register_globals');
if ( isset($globals_test) && empty($globals_test) ) {
	if ( !empty($_GET) )  { extract($_GET, EXTR_SKIP);  }
	if ( !empty($_POST) ) { extract($_POST, EXTR_OVERWRITE); }
	define('_GLOBALS', FALSE);
	} else {
		define('_GLOBALS', TRUE);
	}

define('_PHP_SELF', $_SERVER['PHP_SELF']);

!empty($_SERVER['HTTP_HOST'])       ? define('_HTTP_HOST'      , $_SERVER['HTTP_HOST'])       : define('_HTTP_HOST'      , $_ENV['HTTP_HOST']);
!empty($_SERVER['QUERY_STRING'])    ? define('_QUERY_STRING'   , $_SERVER['QUERY_STRING'])    : define('_QUERY_STRING'   , $_ENV['QUERY_STRING']);
!empty($_SERVER['SCRIPT_NAME'])     ? define('_SCRIPT_NAME'    , $_SERVER['SCRIPT_NAME'])     : define('_SCRIPT_NAME'    , $_ENV['SCRIPT_NAME']);
!empty($_SERVER['HTTP_REFERER'])    ? define('_HTTP_REFERER'   , $_SERVER['HTTP_REFERER'])    : define('_HTTP_REFERER'   , $_ENV['HTTP_REFERER']);
!empty($_SERVER['REQUEST_METHOD'])  ? define('_REQUEST_METHOD' , $_SERVER['REQUEST_METHOD'])  : define('_REQUEST_METHOD' , $_ENV['REQUEST_METHOD']);
!empty($_SERVER['HTTP_USER_AGENT']) ? define('_HTTP_USER_AGENT', $_SERVER['HTTP_USER_AGENT']) : define('_HTTP_USER_AGENT', $_ENV['HTTP_USER_AGENT']);

$R_URI = !empty($_SERVER['REQUEST_URI']) ? $_SERVER['REQUEST_URI'] : $_ENV['REQUEST_URI'];
!empty($R_URI) ? define('_REQUEST_URI', $R_URI) : define('_REQUEST_URI', _PHP_SELF._QUERY_STRING);

switch(strtoupper(PHP_OS)) {
	case 'WINDOWS':
	case 'CYGWIN':
	case 'WINNT':
	case 'WIN32':
		define('_OS', 'W');
		break;

	case 'DARWIN':
	case 'OSX':
		define('_OS', 'M');
		break;

	default:
		define('_OS', 'U');
}

$base_path = str_replace('\\', '/', getcwd());
if ( substr($base_path, -1) == '/') {
	$base_path = substr($base_path, 0, -1);
}
define('WIZ_PATH', $base_path);

if ( !defined('XOOPS_ROOT_PATH') &&  XOOPS_ROOT_PATH != '' ) {
	define('XOOPS_ROOT_PATH', preg_replace("/\/_install.*/i", "", WIZ_PATH));
}

$parts = pathinfo(_PHP_SELF);
define('BASE_URL', preg_replace("/\/_install.*/i", "", $parts["dirname"]));

if ( !defined('XOOPS_URL') && XOOPS_URL != '' ) {
	$root_url = "http://" . _HTTP_HOST. preg_replace("'/_install/install\.php$'i", "", _PHP_SELF);
	define("XOOPS_URL", $root_url);
}

$lang = !empty($_POST['lang']) ? $_POST['lang'] : $_COOKIE['lang'];

if ( @file_exists(WIZ_PATH."/language/".$lang."/main.php") ) {
	include_once(WIZ_PATH."/language/".$lang."/main.php");
	} else {
		include_once(WIZ_PATH."/language/english/main.php");
	}

if ( @file_exists("../language/".$lang."/global.php") ) {
	include_once("../language/".$lang."/global.php");
	} else {
		include_once("../language/english/global.php");
	}

if ( @file_exists("../language/".$lang."/admin.php") ) {
	include_once("../language/".$lang."/admin.php");
	} else {
		include_once("../language/english/admin.php");
	}

if ( @file_exists("../language/".$lang."/user.php") ) {
	include_once("../language/".$lang."/user.php");
	} else {
		include_once("../language/english/user.php");
	}
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function wiz_header($title=_INSTALL_G_TITLE) {
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
	<html>
	<head>
	<title><?php echo $title;?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _CHARSET;?>">
	<link href="style/style.css" rel="stylesheet" type="text/css">
</head><body>
<table width="100%" height="187" border="0" cellpadding="0" cellspacing="0">
<tr><td height="20"></td></tr>
<tr><td height="100%" valign="top">
<table align="center" width="75%" height="453"  border="0" cellpadding="0" cellspacing="0">
<tr >

<td width="2" height="2"><img src="images/pixel.gif" width="2" height="2"></td>
<td width="99%" height="20" background="images/knold7.gif"><img src="images/knold7.gif" width="1" height="20"></td>
<td width="2" height="2"><img src="images/pixel.gif" width="2" height="2"></td>

</tr><tr>
<td width="2" height="443" bgcolor="transparent"><img src="images/pixel.gif" width="2" height="2"></td>
<td  width="100%" height="443" bgcolor="white" valign="top">
<table width="97%" height="197"  border="0" align="center" cellpadding="0" cellspacing="0">
<tr>

<td height="70"><center><img src="images/run.gif" width="250" height="65"></center>

<table border="0" align="right" cellpadding="0" cellspacing="0">
<tr></tr></table></td></tr>
<tr><td>
<table width="90%" border="0" align="center" cellpadding="5" cellspacing="0">
<tr>
<td class="installtext"><br /><br />
<?php
}
//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function wiz_footer() {
?>
</td></tr></table></td></tr></table></td>
<td width="2" bgcolor="transparent"><img src="images/pixel.gif" width="2" height="1"></td>
</tr><tr>
<td width="2" height="2"><img src="images/pixel.gif" width="2" height="2"></td>
<td width="99%" height="20" background="images/knold7.gif"><img src="images/knold7.gif" width="1" height="20"></td>
<td width="2" height="2"><img src="images/pixel.gif" width="2" height="2"></td>
</tr></table></td></tr></table>
<p align="center">
	<!--- you are not allowed to remove the copyright and link in this footer --->
<a href='http://www.runcms.org/' target='_blank'><?php echo XOOPS_VERSION;?> &copy; 2002-2006 RunCms</a>
</p>
</body>
</html>
<?php
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function version_check($min, $curr) {

$testVer = intval( str_replace(".", "", $min) );
$curVer  = intval( str_replace(".", "", $curr ) );
if( $curVer < $testVer ) {
	return false;
	} else {
		return true;
	}
}
?>
