<?php
// $Id: formtextarea.php,v 1.1 2006/01/18 22:18:46 FARSUS Exp $
//***********************************************************/
//*			RUNCMS                                          */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

if (!defined("EXOOPS_XOOPSFORMTEXTAREA_INCLUDED")) {
	define("EXOOPS_XOOPSFORMTEXTAREA_INCLUDED", 1);

include_once(XOOPS_ROOT_PATH."/class/xoopsform/formelement.php");

class XoopsFormTextArea extends XoopsFormElement {

	var $cols;
	var $rows;
	var $value;

	function XoopsFormTextArea($caption, $name, $value="", $rows=10, $cols=58) {
		$this->setCaption($caption);
		$this->setName($name);
		$this->rows = intval($rows);
		$this->cols = intval($cols);
		$this->value = $value;
	}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function getRows() {
	return $this->rows;
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function getCols() {
	return $this->cols;
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function getValue() {
	return $this->value;
}

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function render($value="") {
	return "<textarea class='textarea' name='".$this->getName()."' id='".$this->getName()."' rows='".$this->getRows()."' cols='".$this->getCols()."'".$this->getExtra().">".$this->getValue()."</textarea>";
}

//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
