<?php
// $Id: xoops_version.php,v 1.1 2006/01/18 22:20:17 FARSUS Exp $
//***********************************************************/
//*			RUNCMS                                          */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/

// ------------------------------------------------------------------------- //
// Info
$modversion['name']        = _MI_XOOPSFAQ_NAME;
$modversion['version']     = 1.05;
$modversion['description'] = _MI_XOOPSFAQ_DESC;
$modversion['credits']     = 'The XOOPS Project';
$modversion['author']      = 'Kazumi Ono http://www.myweb.ne.jp/';
$modversion['license']     = 'GPL: See /manual/LICENSES/GPL.txt';
$modversion['official']    = 1;

// ------------------------------------------------------------------------- //
// Base Info
$modversion['image']   = 'images/xoopsfaq_slogo.gif';
$modversion['dirname'] = 'xoopsfaq';

// ------------------------------------------------------------------------- //
// SQL
$modversion['sqlfile']['mysql'] = 'sql/mysql.sql';
$modversion['tables'][0] = 'xoopsfaq_contents';
$modversion['tables'][1] = 'xoopsfaq_categories';

// ------------------------------------------------------------------------- //
// Blocks
$modversion['blocks'][1]['file']        = 'xoopsfaq.php';
$modversion['blocks'][1]['name']        = _MI_FAQ_BNAME;
$modversion['blocks'][1]['description'] = _MI_FAQ_BDESC;
$modversion['blocks'][1]['show_func']   = 'b_faq_show';
$modversion['blocks'][1]['edit_func']   = 'b_faq_edit';
$modversion['blocks'][1]['options']     = '0|19|5';

// ------------------------------------------------------------------------- //
// Admin
$modversion['hasAdmin']   = 1;
$modversion['adminindex'] = 'admin/index.php';
$modversion['adminmenu']  = 'admin/menu.php';

// ------------------------------------------------------------------------- //
// Main contents
$modversion['hasMain'] = 1;

// ------------------------------------------------------------------------- //
// Search
$modversion['hasSearch']      = 1;
$modversion['search']['file'] = 'include/search.inc.php';
$modversion['search']['func'] = 'xoopsfaq_search';

?>
