<?php
// $Id: common.php,v 1.4 2006/02/07 20:51:09 FARSUS Exp $
//***********************************************************/
//*                     RUNCMS                              */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/
if (!defined('XOOPS_MAINFILE_INCLUDED')) {
  die('Sorry, but this file cannot be requested directly');
} else {
  error_reporting(2039); // 2047 for debug also setup in /class/database.php for other way set 2039

  function stripslashes_deep($value)
  {
    return (is_array($value) ? array_map('stripslashes_deep', $value) : stripslashes($value));
  }
  // ######### Backward compatibility array ####################
  if (!isset($_SERVER))
  {
    $_GET     = &$HTTP_GET_VARS;
    $_POST    = &$HTTP_POST_VARS;
    $_ENV     = &$HTTP_ENV_VARS;
    $_SERVER  = &$HTTP_SERVER_VARS;
    $_COOKIE  = &$HTTP_COOKIE_VARS;
    $_REQUEST = array_merge($_GET, $_POST, $_COOKIE);
  }

  if (get_magic_quotes_gpc())
  {
    $_REQUEST = array_map('stripslashes_deep', $_REQUEST);
  }

  set_magic_quotes_runtime(0);
  // ################## Include core ###########################
  include_once(XOOPS_ROOT_PATH.'/class/core.php');
  $api = new core_api();

  $objCache = new stdClass();

// #################### Include global config files ###############
  include_once(XOOPS_ROOT_PATH.'/modules/system/cache/config.php');
  include_once(XOOPS_ROOT_PATH.'/modules/system/cache/editor.php');

  if ($xoopsConfig['gzip_compression'])
  {
    ob_start('ob_gzhandler');
  }
  else
  {
    ob_start();
  }
//################### sql injection protection class  ###########################
require_once(XOOPS_ROOT_PATH.'/class/class_sql_inject.php');
if ($_SERVER["QUERY_STRING"] != "")
{
  $log = XOOPS_ROOT_PATH.'/cache/sqlinject.txt' ;
  $redirect = XOOPS_URL."/abuse.php" ;
  $sql = new sql_inject($log,TRUE,$redirect);
  $sql->test($_SERVER["QUERY_STRING"]);
}

// abuse hack 
// original suply by Alhpalogic e-xoops.alphalogic.org
// #################### Detect variables now, reuse later ###########################
define('_PHP_SELF', $_SERVER['PHP_SELF']);
//define('_PHP_SELF', $api->rc_getenv('PHP_SELF'));

// SERVER followed by ENV comparison :: apache/iis, cgi/isapi :: ..so check'em all :)
define('_HTTP_HOST'       , $api->rc_getenv('HTTP_HOST'));
define('_QUERY_STRING'    , $api->rc_getenv('QUERY_STRING'));
define('_SCRIPT_NAME'     , $api->rc_getenv('SCRIPT_NAME'));
define('_HTTP_REFERER'    , $api->rc_getenv('HTTP_REFERER'));
define('_REQUEST_METHOD'  , $api->rc_getenv('REQUEST_METHOD'));
define('_HTTP_USER_AGENT' , $api->rc_getenv('HTTP_USER_AGENT'));

$R_URI = $api->rc_getenv('REQUEST_URI');
!empty($R_URI) ? define('_REQUEST_URI', $R_URI) : define('_REQUEST_URI', _PHP_SELF.'?'._QUERY_STRING);

define('_REMOTE_ADDR', $api->getip());
//CHECKING FOR GET VARS ABUSERS
//CHECK $_GET
$abuse = false;
$my_get_vars = is_array($_GET) ? $_GET : $HTTP_GET_VARS;
foreach ($my_get_vars as $key => $content) {
  if (preg_match('/ <(.*?)>/s', $content)) {
    $abuse = true;
    $ab_array[$key] = $content;
  }
  if (preg_match('/cd (.*?)>/s',$content)) {
    $abuse = true;
    $ab_array[$key] = $content;   
  }
  if (preg_match('/chmod (.*?)/s',$content)) {
    $abuse = true;
    $ab_array[$key] = $content;   
  } 
  if (preg_match('/ls (.*?)/s',$content)) {
    $abuse = true;
    $ab_array[$key] = $content;   
  } 
  if (preg_match('/uname (.*?)/s',$content)) {
    $abuse = true;
    $ab_array[$key] = $content;   
  } 
}
if ($abuse){
  $ab_time  = date("Y_m_d-H_i_s");
  $content = _REMOTE_ADDR.' tried to abuse the system:'."\n";
  foreach ($ab_array as $key => $var_content) {
    $content .= 'With trying to set the get var: '.$key.' to '.$var_content."\n";
  }
  $content .= "Query String: "._QUERY_STRING." Location: "._PHP_SELF;
  $filename = XOOPS_ROOT_PATH."/cache/abuse-".$ab_time.".log";
  if ( $file = fopen($filename, "w") ) {
    fwrite($file, $content);
    fclose($file);
  } 
  header('Status: 302 Found');
  header("Location: ".XOOPS_URL."/abuse.php");
}
// abuse hack 

// Some backwards compatibility settings
$xoopsConfig['xoops_url'] = XOOPS_URL;
$xoopsConfig['root_path'] = XOOPS_ROOT_PATH.'/';

define('XOOPS_SIDEBLOCK_LEFT' , 0);
define('XOOPS_SIDEBLOCK_RIGHT', 1);
define('XOOPS_SIDEBLOCK_BOTH' , 2);

define('XOOPS_CENTERBLOCK_TOPLEFT'     , 3);
define('XOOPS_CENTERBLOCK_TOPRIGHT'    , 4);
define('XOOPS_CENTERBLOCK_TOPCENTER'   , 5);
define('XOOPS_CENTERBLOCK_TOPALL'      , 6);

define('XOOPS_CENTERBLOCK_BOTTOMLEFT'  , 7);
define('XOOPS_CENTERBLOCK_BOTTOMRIGHT' , 8);
define('XOOPS_CENTERBLOCK_BOTTOMCENTER', 9);
define('XOOPS_CENTERBLOCK_BOTTOMALL'   , 10);

define('XOOPS_BLOCK_INVISIBLE', 0);
define('XOOPS_BLOCK_VISIBLE'  , 1);

define('XOOPS_MATCH_START'  , 0);
define('XOOPS_MATCH_END'    , 1);
define('XOOPS_MATCH_EQUAL'  , 2);
define('XOOPS_MATCH_CONTAIN', 3);

define('XOOPS_ADMIN_URL', XOOPS_URL.'/admin.php');

// Check if https is on
//$tmp_https = $_SERVER['HTTPS'] ? $_SERVER['HTTPS'] : $_ENV['HTTPS'];
//(strtoupper($tmp_https) == 'ON') ? define('_HTTPS', TRUE) : define('_HTTPS', FALSE);
define('_HTTPS', getenv('HTTPS'));

// Detect platform
switch(strtoupper(PHP_OS)) {
  case 'WINDOWS':
  case 'CYGWIN':
  case 'WINNT':
  case 'WIN32':
    define('_OS', 'W');
    break;

  case 'DARWIN':
  case 'OSX':
    define('_OS', 'M');
    break;

  default:
    define('_OS', 'U');
}

// ################# :: Register Globals Compatibility :: #################
$globals_test = @ini_get('register_globals');
if (isset($globals_test) && empty($globals_test))
{
  // These still need some work :: Cookie|Server|Env are ok now.
  if ( !empty($HTTP_GET_VARS) )  { extract($HTTP_GET_VARS, EXTR_SKIP);  }
  if ( !empty($HTTP_POST_VARS) ) { extract($HTTP_POST_VARS, EXTR_SKIP); }
  define('_GLOBALS', FALSE);
}
else
{
  define('_GLOBALS', TRUE);
}
// #################### Error reporting settings ##################
include_once(XOOPS_ROOT_PATH.'/class/debug/debug.php');

// ############## Include common functions file ##############
include_once(XOOPS_ROOT_PATH.'/include/functions.php');

// ############## Ban unwanted IP address ##############
if (hasMatch($xoopsBadIps, _REMOTE_ADDR) || hasMatch($xoopsBadAgents, _HTTP_USER_AGENT))
{
  header('Status: 404 Not Found');
  exit();
}

// ################# Include version info file ##########################
include_once(XOOPS_ROOT_PATH.'/include/version.php');
include_once(XOOPS_ROOT_PATH.'/modules/system/cache/meta.php');

// #################### Include xoops check ##################
include_once(XOOPS_ROOT_PATH.'/include/xoopscheck.php');

// #################### Connect to DB ##################
if ($xoopsConfig['prefix'] && $xoopsConfig['dbhost'] && $xoopsConfig['dbname'] && $xoopsConfig['database']) {
  include_once(XOOPS_ROOT_PATH.'/class/database/'.$xoopsConfig['database'].'.php');
  $db = new Database();
  $db->setPrefix($xoopsConfig['prefix']);
  $result1 = @$db->connect($xoopsConfig['dbhost'], $xoopsConfig['dbuname'], $xoopsConfig['dbpass'], $xoopsConfig['db_pconnect']);
  if (!$result1) {
    echo $db->error();
    exit();
  }
  $result2 = @$db->select_db($xoopsConfig['dbname']);
  if (!$result2) {
    echo $db->error();
    exit();
  }
  $db->setDebug($xoopsConfig['debug_mode']);
}else die('Impossible connect to db');

// ######### define core db tables ###########################
// use table name $db class for modules but not for RC core
define('RC_PREFIX',$xoopsConfig['prefix'].'_');
define('RC_USERS_TBL', RC_PREFIX.'users');
define('RC_RANKS_TBL',RC_PREFIX.'ranks');
define('RC_SESS_TBL',RC_PREFIX.'session');
define('RC_GROUP_TBL',RC_PREFIX.'groups');
define('RC_SMILES_TBL',RC_PREFIX.'smiles');
define('RC_MODULES_TBL',RC_PREFIX.'modules');
define('RC_NEWBLOCKS_TBL',RC_PREFIX.'newblocks');
define('RC_GRP_MOD_LINK_TBL',RC_PREFIX.'groups_modules_link');
define('RC_GRP_USERS_LINK_TBL',RC_PREFIX.'groups_users_link');
define('RC_GRP_BLOCK_LINK_TBL',RC_PREFIX.'groups_blocks_link');

// #################### Include text sanitizer ##################
include_once(XOOPS_ROOT_PATH.'/class/module.textsanitizer.php');
$myts = new MyTextSanitizer();
$myts->setAllowImage($xoopsConfig['allow_image']);
$myts->setAllowLibrary($xoopsConfig['allow_library']);

// ############# Include basic constructor classes ##############
unset($xoopsUser);
include_once(XOOPS_ROOT_PATH.'/class/xoopsobject.php');
include_once(XOOPS_ROOT_PATH.'/class/xoopsgroup.php');
include_once(XOOPS_ROOT_PATH.'/class/xoopsuser.php');
include_once(XOOPS_ROOT_PATH.'/class/xoopsmodule.php');
include_once(XOOPS_ROOT_PATH.'/class/xoopsblock.php');

// ############## Login a user if there is a valid session ###########
if (intval($xoopsConfig['use_sessions']) == 1)
{
  //  session_set_cookie_params($xoopsConfig['session_expire']);//, "/");
  if ($xoopsConfig['session_name'] =='')
  {
    $xoopsConfig['session_name'] = 'rcsess';
  }
  if (isset($_COOKIE[$xoopsConfig['session_name']]))
  {  
    session_id($_COOKIE[$xoopsConfig['session_name']]);
  }
  else
  {
    $_SESSION = array();
  }
  if (function_exists('session_cache_expire'))
  {
    $session_cache_expire = intval($xoopsConfig['session_expire']);
    @session_cache_expire($session_cache_expire);
  }
  session_start();

  // fix troubles with IE 6 - lost session after clicking on a link
  // uncomment or insert in meta
  //  header('P3P: CP="NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"');
  $session_var = $_SESSION[$xoopsConfig['session_name']];
}
elseif (isset($_COOKIE[$xoopsConfig['session_name']]))
{
  $session_var = $_COOKIE[$xoopsConfig['session_name']];
}
else
{
  $session_var = '';
}

$clearsess = false;

if (!empty($session_var))
{
  include(XOOPS_ROOT_PATH.'/class/sessions.class.php');
  $session = new XoopsUserSession($session_var);
  if ($session->isValid())
  {
    $xoopsUser = new XoopsUser($session->uid());
    // define user language
    define('RC_ULANG',$xoopsUser->getVar('language'));  // use RC_ULANG later
    // ########## Get modules info if module active ##################
    $module_dir  = basename(dirname(_PHP_SELF));
    $xoopsModule =& XoopsModule::getByDirname($module_dir);
    // update user session with module ID
    $session->update();
    unset($session);
  }
  else
  {
    $clearsess = true;
  }
}
else
{
  $clearsess = true;
}

if ($clearsess)
{
  define('RC_ULANG', $xoopsConfig['language']);
  unset($xoopsUser);
  unset($_COOKIE[$xoopsConfig['session_name']]);
  @session_destroy();
  // ########## Get modules info if module active ##################
  $module_dir  = basename(dirname(_PHP_SELF));
  $xoopsModule =& XoopsModule::getByDirname($module_dir);
}

// #################### Include site-wide lang file ##################
if (@file_exists(XOOPS_ROOT_PATH.'/language/'.RC_ULANG.'/global.php'))
{
  include_once(XOOPS_ROOT_PATH.'/language/'.RC_ULANG.'/global.php');
}
else
{
  include_once(XOOPS_ROOT_PATH.'/language/english/global.php');
}
// #################### Set error handler ############################
set_error_handler('ex_error_handler');

// ################ Include page-specific lang file ##################
if (isset($xoopsOption['pagetype']))
{
  if (@file_exists(XOOPS_ROOT_PATH.'/language/'.RC_ULANG.'/'.$xoopsOption['pagetype'].'.php'))
  {
    include_once(XOOPS_ROOT_PATH.'/language/'.RC_ULANG.'/'.$xoopsOption['pagetype'].'.php');
  }
  else
  {
    include_once(XOOPS_ROOT_PATH.'/language/english/'.$xoopsOption['pagetype'].'.php');
  }
}

if (!defined('_USE_MULTIBYTES'))
{
  define('_USE_MULTIBYTES', 0);
}
// ############## Setup module specific stuff if in a module dir #####
if (@file_exists('xoops_version.php'))
{
  if (!$xoopsModule || !$xoopsModule->isActivated())
  {
    include_once(XOOPS_ROOT_PATH.'/header.php');
    echo '<h4>'._MODULENOEXIST.'</h4>';
    include_once(XOOPS_ROOT_PATH.'/footer.php');
    exit();
  }

  if ($xoopsUser)
  {
    if (!XoopsGroup::checkRight('module', $xoopsModule->mid(), $xoopsUser->groups()))
    {
      header("Location:".XOOPS_URL."/whyregister.php");
      exit();
    }
  }
  elseif (!XoopsGroup::checkRight('module', $xoopsModule->mid(), 0))
  {
    header("Location:".XOOPS_URL."/whyregister.php");
    exit();
  }

  if (empty($xoopsOption['page_style']) && ($module_dir == $xoopsConfig['startpage']) && (basename(_PHP_SELF) == 'index.php'))
  {
    $xoopsOption['page_style'] = 1; // start
  }
  elseif (empty($xoopsOption['page_style']) && (basename(_PHP_SELF) == 'index.php'))
  {
    $xoopsOption['page_style'] = 2; // index
  }
  elseif (empty($xoopsOption['page_style']))
  {
    $xoopsOption['page_style'] = 4; // other
  }
  if (@file_exists(XOOPS_ROOT_PATH.'/modules/'.$module_dir.'/language/'.RC_ULANG.'/main.php'))
  {
    include_once(XOOPS_ROOT_PATH.'/modules/'.$module_dir.'/language/'.RC_ULANG.'/main.php');
  }
  elseif (@file_exists(XOOPS_ROOT_PATH.'/modules/'.$module_dir.'/language/english/main.php'))
  {
    include_once(XOOPS_ROOT_PATH.'/modules/'.$module_dir.'/language/english/main.php');
  }
}
clearstatcache();

if (empty($xoopsOption['page_style']) && (basename(_PHP_SELF) == 'index.php'))
{
  $xoopsOption['page_style'] = 2; // index
}
elseif (empty($xoopsOption['page_style']))
{
  $xoopsOption['page_style'] = 4; // other
}
/**
 * NEW THEME SHORTCUT FUNCTIONS 15-07-2005
 */
define('THEME'      , getTheme());
define('THEME_PATH' , XOOPS_ROOT_PATH.'/themes/'.THEME);
define('THEME_URL'  , XOOPS_URL.'/themes/'.THEME);
define('TIMAGE_PATH', THEME_PATH.'/images');
define('TIMAGE_URL' , THEME_URL.'/images');

//---------------------------------------------------------------------------------------//
} // END XOOPS_MAINFILE_INCLUDED
?>